%define nspr_version 4.6
%define nss_version 3.11
%define svrcore_version 4.0
%define mozldap_version 6.0

Summary: Utility and library for directory server installation
Name: fedora-ds-setuputil
Version: 1.1.0
Release: alt1
License: LGPL
Url: http://directory.fedoraproject.org/wiki/SetupUtil
Group: System/Libraries
BuildRequires: libnspr-devel >= %nspr_version
BuildRequires: libnss-devel >= %nss_version
BuildRequires: libsvrcore-devel >= %svrcore_version
BuildRequires: mozldap-devel >= %mozldap_version
BuildRequires: pkgconfig
BuildRequires: gcc-c++
BuildRequires: libsasl2-devel

Packager: Vitaly Kuznetsov <vitty@altlinux.ru>

Source: %name-%version.tar.bz2

%description
%name is libraries of functions used to install directory servers.

%package devel
Summary: Development and header files for %name
Group: System/Libraries
Requires: %name = %version-%release
BuildRequires: libnspr-devel >= %nspr_version
BuildRequires: libnss-devel >= %nss_version
BuildRequires: libsvrcore-devel >= %svrcore_version
BuildRequires: mozldap-devel >= %mozldap_version
BuildRequires: pkgconfig
BuildRequires: gcc-c++
BuildRequires: libsasl2-devel
BuildRequires: ncurses-devel

%description devel
Development files and header files necessary to build applications
that use %name.

%prep
%setup

%build
%configure
%__make

%install
%make_install DESTDIR=%buildroot install
rm -f %buildroot%_libdir/lib*.a
rm -f %buildroot%_libdir/lib*.la

%post -p %post_ldconfig
%postun -p %post_ldconfig

%files
%_libdir/*.so.*
%_datadir/setuputil/*
%_docdir/setuputil/*
%_sbindir/*

%files devel
%_pkgconfigdir/setuputil.pc
%_libdir/*.so
%_includedir/setuputil/*.h

%changelog
* Tue Jan 08 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.0-alt1
- Fedora-DS 1.1 Final release

* Tue Oct 30 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.0-alt0.20071030
- CVS snapshot 20071030 (version-change for setuputil only)

* Mon Oct 08 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.0-alt0.20071008
- CVS snapshot 20071008

* Thu Jun 07 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.0-alt0
- Initial for Sisyphus

* Wed Apr 05 2007 Noriko Hosoi <nhosoi@redhat.com> - 1.1.0-1
- Initial version - based largely on adminutil.spec
